Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042075
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminorhave not tried2019-10-21 18:322019-12-12 23:01
ReporterjarmendarizView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision8f624a5577b8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojarmendariz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042075: Update ESLint settings to support ES9

DescriptionCurrently the Ecmascript version supported according to eslintrc.json is set to ES6. By increasing this version to ES9, we would be able to support language's new features in some places (such as WebPOS)
Steps To ReproduceSee above
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0039983 closedjarmendariz Upgrade javascript linter and formatter 
causes feature request 0042104 newplatform Add ESLint rules to restrict potentially dangeous js syntax 

-  Notes
(0115201)
hgbot (developer)
2019-10-22 09:51

Repository: erp/devel/pi
Changeset: 8f624a5577b89d3050e03c300feebeacff39abdb
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Oct 22 09:51:15 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8f624a5577b89d3050e03c300feebeacff39abdb [^]

Fixed issue 0042075: Update ESLint settings to support ES9

- Change parseOptions to support ES9 (ES2018)

---
M .eslintrc.json
---
(0115212)
jarmendariz (developer)
2019-10-22 12:54

Reviewed + tested
(0115234)
adrianromero (manager)
2019-10-22 18:27

Related changeset that removes the function OB.async(). Now async / await must be used instead of OB.async()

https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c6aedab8471c [^]
(0116258)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-21 18:32 jarmendariz New Issue
2019-10-21 18:32 jarmendariz Assigned To => Triage Finance
2019-10-21 18:32 jarmendariz Modules => Core
2019-10-21 18:32 jarmendariz Triggers an Emergency Pack => No
2019-10-21 18:32 jarmendariz Assigned To Triage Finance => migueldejuana
2019-10-21 18:32 jarmendariz Relationship added related to 0039983
2019-10-22 09:51 hgbot Checkin
2019-10-22 09:51 hgbot Note Added: 0115201
2019-10-22 09:51 hgbot Status new => resolved
2019-10-22 09:51 hgbot Resolution open => fixed
2019-10-22 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8f624a5577b89d3050e03c300feebeacff39abdb [^]
2019-10-22 11:04 jarmendariz Review Assigned To => jarmendariz
2019-10-22 12:54 jarmendariz Note Added: 0115212
2019-10-22 12:55 jarmendariz Status resolved => closed
2019-10-22 12:55 jarmendariz Fixed in Version => 3.0PR20Q1
2019-10-22 18:27 adrianromero Note Added: 0115234
2019-10-23 10:25 jarmendariz Relationship added causes 0042104
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116258


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker